summaryrefslogtreecommitdiff
path: root/scripts/bitbake-prserv-tool
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/bitbake-prserv-tool')
-rwxr-xr-xscripts/bitbake-prserv-tool13
1 files changed, 11 insertions, 2 deletions
diff --git a/scripts/bitbake-prserv-tool b/scripts/bitbake-prserv-tool
index 96a34702c9..fa31b52584 100755
--- a/scripts/bitbake-prserv-tool
+++ b/scripts/bitbake-prserv-tool
@@ -5,8 +5,8 @@ help ()
base=`basename $0`
echo -e "Usage: $base command"
echo "Avaliable commands:"
- echo -e "\texport <file>: export and lock down the AUTOPR values from the PR service into a file for release."
- echo -e "\timport <file>: import the AUTOPR values from the exported file into the PR service."
+ echo -e "\texport <file.conf>: export and lock down the AUTOPR values from the PR service into a file for release."
+ echo -e "\timport <file.conf>: import the AUTOPR values from the exported file into the PR service."
}
clean_cache()
@@ -86,6 +86,15 @@ do_migrate_localcount ()
[ $# -eq 0 ] && help && exit 1
+case $2 in
+*.conf|*.inc)
+ ;;
+*)
+ echo ERROR: $2 must end with .conf or .inc!
+ exit 1
+ ;;
+esac
+
case $1 in
export)
do_export $2